<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpdir = $WHuds->safecheck($WHuds->root . WH_SLASH . $dir_name);
$extract_filename = $WHuds->safecheck($WHuds->root . WH_SLASH . $WHuds->dir_name . WH_SLASH . $extract_filename);
//s($extract_filename);
if($WHuds->exists($tmpdir))
{

	if($action != 'targz' && $action != 'zip' && $action != 'tar' && $action != 'gz') { $WH->message("不支持的动作，返回！", "index.php?dir=$dir");}
	else{
		include("./include/zip.php");
		$WHzip = new WHzip($action, $extract_filename, $tmpdir);

		if($WHzip->result){ $WH->message("目录{$dir_name}打包成功！", "index.php?dir=$dir");}
		else { $WH->message("目录{$dir_name}打包失败！", "index.php?dir=$dir");}
	}

}
else
{
	$WH->message("不存在此目录，返回！", "index.php?dir=$dir");
}

?>